# Barry::Contact Class Reference
[RecordParserClasses]

`#include <r_contact.h>`

Collaboration diagram for Barry::Contact:

[legend]

List of all members.

## Detailed Description

Represents a single record in the Address Book Blackberry database.

Definition at line 62 of file r_contact.h.

## Public Member Functions

std::string | GetFullName () const
| Helper function that returns a formatted full name.
const std::string & | GetEmail (unsigned int index=0) const
| Helper function that always returns a valid string.
void | BuildFields (Data &data, size_t &offset, const IConverter *ic=0) const
| Build fields part of record.

## Public Attributes

std::string | Phone
| This field, Phone, is deprecated.

## Member Function Documentation

std::string Barry::Contact::GetFullName | ( |  | ) | const

Helper function that returns a formatted full name.

Definition at line 465 of file r_contact.cc.

Referenced by BuildFields().

Here is the caller graph for this function:

const std::string & Barry::Contact::GetEmail | ( | unsigned int | index = `0` | ) | const

Helper function that always returns a valid string.

The string may be empty if there is no address at the specified index.

Definition at line 480 of file r_contact.cc.

void Barry::Contact::BuildFields | ( | Data & | data,
|  | size_t & | offset,
|  | const IConverter * | ic = `0` |
| ) |  |  | const

Build fields part of record.

Definition at line 301 of file r_contact.cc.

References GetFullName(), and Barry::IConverter::ToBB().

Here is the call graph for this function:

## Member Data Documentation

std::string Barry::Contact::Phone

This field, Phone, is deprecated.

It is possible to write to this field to the Blackberry, but modern devices won't let you add it through their GUIs. This field only seems to exist on the 7750. While other devices accept the field and display it, it is not accessible by default.

Definition at line 88 of file r_contact.h.

The documentation for this class was generated from the following files:

- r_contact.h
- r_contact.cc